# SequenceEditor(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``SequenceEditor`(bpy_struct)

  Sequence editing data for a Scene data-block

  `active_strip`

    Sequencer’s active strip

    Type: | `Sequence`

  `meta_stack`

    Meta strip stack, last is currently edited meta strip

    Type: | `bpy_prop_collection` of `Sequence`, (readonly)

  `overlay_frame`

    Type: | int in [-inf, inf], default 0

  `proxy_dir`

    Type: | string, default “”, (never None)

  `proxy_storage`

    How to store proxies for this project

    - `PER_STRIP` Per Strip, Store proxies using per strip settings.
    - `PROJECT` Project, Store proxies using project directory.

    Type: | enum in [‘PER_STRIP’, ‘PROJECT’], default ‘PER_STRIP’

  `sequences`

    Top-level strips only

    Type: | `Sequences` `bpy_prop_collection` of `Sequence`, (readonly)

  `sequences_all`

    All strips, recursively including those inside metastrips

    Type: | `bpy_prop_collection` of `Sequence`, (readonly)

  `show_overlay`

    Partial overlay on top of the sequencer

    Type: | boolean, default False

  `use_overlay_lock`

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Scene.sequence_editor` | `Scene.sequence_editor_create`